if(Drupal.jsEnabled) {
  $(document).ready(function () {
    /**
     * Performs a cached and delayed search
     */
    Drupal.ACDB.prototype.search = function (searchString) {
      var db = this; 
      var currentId = this.owner.input.id.replace('edit-', '');
      
      if(currentId == 'comuni'){
    	  var provincia = $('#edit-dropdown-provincie-wrapper-provincie').val();
    	  var regione = $('#edit-regione').val();
    	  
    	  this.searchString = searchString;
    	  
    	  if (this.timer) {
    	        clearTimeout(this.timer);
    	      }
    	      this.timer = setTimeout(function() {
    	        db.owner.setStatus('begin');
    	        // Ajax GET request for autocompletion
    	        $.ajax({
    	          type: "GET",
    	          url: db.uri + '/' + Drupal.encodeURIComponent(searchString) + '/'+ provincia+ '/' + regione + '/' +Drupal.encodeURIComponent(currentId),
    	          dataType: 'json',
    	          success: function (matches) {
    	            if (typeof matches['status'] == 'undefined' || matches['status'] != 0) {
    	              if (db.searchString == searchString) {
    	                db.owner.found(matches);
    	              }
    	              db.owner.setStatus('found');
    	            }
    	          },
    	          error: function (xmlhttp) {
    	            alert(Drupal.ahahError(xmlhttp, db.uri));
    	          }
    	        });
    	      }, this.delay);
      }
    };
  });
  
  $(document).ready(function () {
	  $(".listabox").each(function(){
		 this.onmouseover = function() {
			  $(this).addClass('listagreen');
		};
		this.onmouseout = function() {
			  $(this).removeClass('listagreen');
		};
	  });
  });

}
